> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post coaapiv2reconciliationparse statement page

> Parse a bank statement PDF.

Accepts:
    ``file_id`` (required) -- ID of the uploaded PDF ``File``.
    ``pages`` (optional, int) -- How many pages to include in the first parse batch.
        Defaults to ``BATCH_PAGE_SIZE``. Use a small value (e.g. 2) for
        a fast initial response with just balances and dates.

Only the first batch is parsed in this request. Parsed output is cached under
``file_id`` and the effective first-batch page count (``pages`` or default
``BATCH_PAGE_SIZE``) so different ``pages`` values do not share one cache entry.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v2/reconciliation/parse-statement-page
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v2/reconciliation/parse-statement-page:
    post:
      tags:
        - coa
      description: >-
        Parse a bank statement PDF.


        Accepts:
            ``file_id`` (required) -- ID of the uploaded PDF ``File``.
            ``pages`` (optional, int) -- How many pages to include in the first parse batch.
                Defaults to ``BATCH_PAGE_SIZE``. Use a small value (e.g. 2) for
                a fast initial response with just balances and dates.

        Only the first batch is parsed in this request. Parsed output is cached
        under

        ``file_id`` and the effective first-batch page count (``pages`` or
        default

        ``BATCH_PAGE_SIZE``) so different ``pages`` values do not share one
        cache entry.
      operationId: coa_api_v2_reconciliation_parse_statement_page_create
      responses:
        '200':
          description: No response body
      security:
        - knoxApiToken: []
components:
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````